Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class RPPSServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.eclipse.higgins.ics.ws.wsdl.RPPSServiceLocator

All Implemented Interfaces:
  Referenceable, RPPSService, Serializable, javax.xml.rpc.Service

public class RPPSServiceLocator
extends org.apache.axis.client.Service
implements RPPSService

See Also:
  Serialized Form

Constructor Summary
`RPPSServiceLocator()`
`RPPSServiceLocator(org.apache.axis.EngineConfiguration config)`
`RPPSServiceLocator(String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`Remote` | `getPort(Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`Remote` | `getPort(javax.xml.namespace.QName portName, Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`Iterator` | `getPorts()`
`RPPSServiceSEI` | `getRPPSServiceSEIPort()`
`RPPSServiceSEI` | `getRPPSServiceSEIPort(URL portAddress)`
`String` | `getRPPSServiceSEIPortAddress()`
`String` | `getRPPSServiceSEIPortWSDDServiceName()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setEndpointAddress(javax.xml.namespace.QName portName, String address)` Set the endpoint address for the specified port name.
`void` | `setEndpointAddress(String portName, String address)` Set the endpoint address for the specified port name.
`void` | `setRPPSServiceSEIPortEndpointAddress(String address)`
`void` | `setRPPSServiceSEIPortWSDDServiceName(String name)`

Methods inherited from class org.apache.axis.client.Service
`createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry, setTypeMappingVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### RPPSServiceLocator

    public RPPSServiceLocator()

### RPPSServiceLocator

    public RPPSServiceLocator(org.apache.axis.EngineConfiguration config)

### RPPSServiceLocator

    public RPPSServiceLocator(String wsdlLoc,
                              javax.xml.namespace.QName sName)
                       throws javax.xml.rpc.ServiceException

Method Detail

### getRPPSServiceSEIPortAddress

    public String getRPPSServiceSEIPortAddress()

  Specified by:
    `getRPPSServiceSEIPortAddress` in interface `RPPSService`

### getRPPSServiceSEIPortWSDDServiceName

    public String getRPPSServiceSEIPortWSDDServiceName()

### setRPPSServiceSEIPortWSDDServiceName

    public void setRPPSServiceSEIPortWSDDServiceName(String name)

### getRPPSServiceSEIPort

    public RPPSServiceSEI getRPPSServiceSEIPort()
                                         throws javax.xml.rpc.ServiceException

  Specified by:
    `getRPPSServiceSEIPort` in interface `RPPSService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getRPPSServiceSEIPort

    public RPPSServiceSEI getRPPSServiceSEIPort(URL portAddress)
                                         throws javax.xml.rpc.ServiceException

  Specified by:
    `getRPPSServiceSEIPort` in interface `RPPSService`
  Throws:
    `javax.xml.rpc.ServiceException`

### setRPPSServiceSEIPortEndpointAddress

    public void setRPPSServiceSEIPortEndpointAddress(String address)

### getPort

    public Remote getPort(Class serviceEndpointInterface)
                   throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public Remote getPort(javax.xml.namespace.QName portName,
                          Class serviceEndpointInterface)
                   throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`

### getPorts

    public Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`

### setEndpointAddress

    public void setEndpointAddress(String portName,
                                   String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD